<div class="plc facroty-manager">
    <div class="plc-menu">
    {{config.title}}
    </div>
    <div class="plc-content">
        <div class="row">
            <div class="col-sm-12 plc-choose">
                <div class="tab-content">
                    <div class="public-horizon">
                        <label class="horizon-label label-4"><span class="text-red">*</span>job：</label>
                            <div class="horizon-group horizon-col-2">
                                <ui-select ng-init="config.$workCenterSelect = $select" class="andon-content-ui-select" ng-change="jobChanged($select);" ng-model="config.currentJob">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <span ng-bind="config.currentJob.description"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">暂无数据</a>
                                    </ui-select-no-choice>
                                    <ui-select-choices repeat="item in (config.job) track by $index">
                                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                            <label  class="horizon-label label-4"><!-- <span class="text-red">*</span> -->运行时间：</label>
                            <div  class="horizon-group horizon-col-3">
                                <ui-select ng-init="config.$workCenterSelect = $select" class="andon-content-ui-select" ng-model="config.currentRunTime">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <span ng-bind="config.currentRunTime.paramDefaultValue"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">暂无数据</a>
                                    </ui-select-no-choice>
                                    <ui-select-choices repeat="item in (config.jobRunTime) track by $index">
                                        <span ng-bind-html="item.paramDefaultValue | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red">*</span>开始日期：</label>
                            <div class="horizon-group horizon-col-3">
                                <input type="text" value="" id="reportStartDate"
                                       class="form-control"
                                       ng-model="config.startDate"
                                       ng-change="dateChanged('S')"
                                       ng-init="initDateTimePicker('#reportStartDate', {},'Y-m-d',false,false);"/>
                            </div>
                            <div class="factory-save-btn pull-right one-line-btns">
		                        <button class="btn btn-primary" ng-click="search()">查询</button>
		                    </div>
		                    <div class="factory-save-btn pull-right one-line-btns">
		                        <button class="btn btn-primary" ng-click="execute()">执行</button>
		                    </div>
                    </div>
                </div>

            </div>
            <div class="col-sm-12" nf-if="false">
                <div class="andon-grid">
                <div ui-grid="jobGrid" class="myGrid"
					 ui-grid-edit ui-grid-cellnav ui-grid-selection
					 ui-grid-validate ui-grid-auto-resize
					 class="plc-protocol-type-grid ad-basic-grid myGrid" ></div>
                </div>
            </div>
        </div>
    </div>
</div>